package weaver.interfaces.organization.cronjob;

import weaver.conn.RecordSet;
import weaver.interfaces.schedule.BaseCronJob;

/**
 * @Author liang.cheng
 * @Date 2024/10/10 1:56 PM
 * @Description: 定时清除组织管理Delete_type=1的数据
 * @Version 1.0
 */
public class TableDeleteDataCron extends BaseCronJob {

    @Override
    public void execute() {
        RecordSet rs = new RecordSet();

        rs.execute("delete from jcl_org_scheme where delete_type = 1");
        rs.execute("delete from jcl_org_level where delete_type = 1");
        rs.execute("delete from jcl_org_grade where delete_type = 1");
        rs.execute("delete from jcl_org_sequence where delete_type = 1");
        rs.execute("delete from jcl_org_staffplan where delete_type = 1");
        rs.execute("delete from jcl_org_staff where delete_type = 1");
        rs.execute("delete from jcl_org_job where delete_type = 1");
        rs.execute("delete from jcl_org_jobext where delete_type = 1");
        rs.execute("delete from jcl_org_jobext_dt1 where delete_type = 1");
        rs.execute("delete from jcl_org_detach where delete_type = 1");
        rs.execute("delete from jcl_org_cardaccess where delete_type = 1");
        rs.execute("delete from jcl_org_cardbutton where delete_type = 1");
        rs.execute("delete from jcl_field_extendgroup where delete_type = 1");
        rs.execute("delete from jcl_field_extendtitle where delete_type = 1");
        rs.execute("delete from jcl_field_extendinfo where delete_type = 1");
    }
}
